AuSoundRecordToData(3)

Name
AuSoundRecordToData - create a flow to record to memory.

Synopsis
#include <audio/audiolib.h>
#include <audio/soundlib.h>

AuEventHandlerRec *AuSoundRecordToData(server, sound, data, source, gain, callback, callback_data, line_mode, flow, volume_mult_elem, status)
    AuServer *server;
    Sound sound;
    AuPointer data;
    AuDeviceID source;
    AuFixedPoint gain;
    void (*callback) (AuServer *, AuEventHandlerRec *, AuEvent *, AuPointer);
    AuPointer callback_data;
    int line mode;
    AuFlowID *flow;
    int *volume_mult_elem;
    AuStatus *status;

Arguments

server
    Specifies the connection to the audio server.

sound
    Specifies the description if the audio data.

data
    Specifies where to write the data.

Source
    Specifies the input device to record from.

gain
    Specifies the gain for the input device.

callback
    Specifies the procedure to be called for additional event processing.

callback_data
    Specifies any additional arguments to be passed to callback.

line_mode
    Specifies the line mode for the input device. Currently the following line modes are defined: AuDeviceInputModeNone, AuDeviceInputModeLineIn, AuDeviceInputModeMicrophone.

flow
    If non-NULL, returns the flow ID.

volume_mult_elem
    Accord to the comment in the source, not implemented.

status
    If non-NULL, flush the output buffer and return the status from the server.

Description
AuSoundRecordToData creates a flow to record from source to data and returns the event handler created or NULL if there was an error.

Errors
AuBadDevice.

See Also
AuSoundRecord, AuSoundRecordToBucket, AuSoundRecordToFile. AuSoundRecordToFileN.

audiolib - Network Audio System C Language Interface